changeset 1028:6e24f1ecf13e draft

Workaround for GNU system
author HIROSE Yuuji <yuuji@gentei.org>
date Fri, 22 Dec 2023 20:01:32 +0900
parents f389a311a8d4
children 8c7d168d27ed
files s4-funcs.sh s4-start.sh
diffstat 2 files changed, 4 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/s4-funcs.sh	Wed Dec 06 20:13:42 2023 +0900
+++ b/s4-funcs.sh	Fri Dec 22 20:01:32 2023 +0900
@@ -481,6 +481,9 @@
      ${S4WORLDGRPS:+-D_S4WORLDGRPS_="$S4WORLDGRPS"} \
      ${S4WORLDS:+-D_S4WORLDS_="$S4WORLDS"} "$@"
 }
+if ! type gdate && date --version | grep -q GNU; then
+  gdate() date "$@"
+fi >/dev/null 2>&1
 ismember() {
   # $1=user, $2=group
 #err ismem: "select user from grp_mem where gname=$(sqlquote $2) and user='$1';"
--- a/s4-start.sh	Wed Dec 06 20:13:42 2023 +0900
+++ b/s4-start.sh	Fri Dec 22 20:01:32 2023 +0900
@@ -63,6 +63,7 @@
 fi
 
 test -d tmp || mkdir -m 1750 tmp
+test -d cache || mkdir -m 1755 cache
 . ./s4-funcs.sh
 if ! checkdomain $ADMIN; then
   cat<<EOF 1>&2

yatex.org